com.genesyslab.wfm8.API.service.config812

## Class CfgTeamHistory

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config812.CfgTeamHistory

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgTeamHistory
      extends java.lang.Object
      implements java.io.Serializable

  Agent-Team history information
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected java.util.List<CfgAgentTeamHistory>` | `wmAgents`
    `protected int` | `wmAgentsNSizeIs`
    `protected int` | `wmSiteId`
    `protected int` | `wmTeamId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgTeamHistory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.util.List<CfgAgentTeamHistory>` | `getWmAgents()` Gets the value of the wmAgents property.
    `int` | `getWmAgentsNSizeIs()` Gets the value of the wmAgentsNSizeIs property.
    `int` | `getWmSiteId()` Gets the value of the wmSiteId property.
    `int` | `getWmTeamId()` Gets the value of the wmTeamId property.
    `int` | `hashCode()`
    `void` | `setWmAgents(java.util.List<CfgAgentTeamHistory> wmAgents)` Sets the value of the wmAgents property.
    `void` | `setWmAgentsNSizeIs(int value)` Sets the value of the wmAgentsNSizeIs property.
    `void` | `setWmSiteId(int value)` Sets the value of the wmSiteId property.
    `void` | `setWmTeamId(int value)` Sets the value of the wmTeamId property.
    `java.lang.String` | `toString()`
    `CfgTeamHistory` | `withWmAgents(CfgAgentTeamHistory... values)`
    `CfgTeamHistory` | `withWmAgents(java.util.Collection<CfgAgentTeamHistory> values)`
    `CfgTeamHistory` | `withWmAgentsNSizeIs(int value)`
    `CfgTeamHistory` | `withWmSiteId(int value)`
    `CfgTeamHistory` | `withWmTeamId(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmSiteId

          protected int wmSiteId

    - #### wmTeamId

          protected int wmTeamId

    - #### wmAgentsNSizeIs

          protected int wmAgentsNSizeIs

    - #### wmAgents

          protected java.util.List<CfgAgentTeamHistory> wmAgents

  - ### Constructor Detail

    - #### CfgTeamHistory

          public CfgTeamHistory()

  - ### Method Detail

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the value of the wmSiteId property.

    - #### setWmSiteId

          public void setWmSiteId(int value)

      Sets the value of the wmSiteId property.

    - #### getWmTeamId

          public int getWmTeamId()

      Gets the value of the wmTeamId property.

    - #### setWmTeamId

          public void setWmTeamId(int value)

      Sets the value of the wmTeamId property.

    - #### getWmAgentsNSizeIs

          public int getWmAgentsNSizeIs()

      Gets the value of the wmAgentsNSizeIs property.

    - #### setWmAgentsNSizeIs

          public void setWmAgentsNSizeIs(int value)

      Sets the value of the wmAgentsNSizeIs property.

    - #### getWmAgents

          public java.util.List<CfgAgentTeamHistory> getWmAgents()

      Gets the value of the wmAgents property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmAgents property.

      For example, to add a new item, do as follows:

              getWmAgents().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgAgentTeamHistory`

    - #### withWmSiteId

          public CfgTeamHistory withWmSiteId(int value)

    - #### withWmTeamId

          public CfgTeamHistory withWmTeamId(int value)

    - #### withWmAgentsNSizeIs

          public CfgTeamHistory withWmAgentsNSizeIs(int value)

    - #### withWmAgents

          public CfgTeamHistory withWmAgents(CfgAgentTeamHistory... values)

    - #### withWmAgents

          public CfgTeamHistory withWmAgents(java.util.Collection<CfgAgentTeamHistory> values)

    - #### setWmAgents

          public void setWmAgents(java.util.List<CfgAgentTeamHistory> wmAgents)

      Sets the value of the wmAgents property.
      Parameters:
        `wmAgents` - allowed object is `CfgAgentTeamHistory`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.